Generate caption
curl --request POST \
--url https://api.kynva.ai/api/v1/social/generate-caption \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"topic": "<string>",
"platform": "<string>",
"category": "<string>",
"brand": "<string>",
"callToAction": "<string>",
"keywords": [
"<string>"
],
"includeEmojis": true,
"hashtagCount": 5,
"variations": 3
}
'import requests
url = "https://api.kynva.ai/api/v1/social/generate-caption"
payload = {
"topic": "<string>",
"platform": "<string>",
"category": "<string>",
"brand": "<string>",
"callToAction": "<string>",
"keywords": ["<string>"],
"includeEmojis": True,
"hashtagCount": 5,
"variations": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
topic: '<string>',
platform: '<string>',
category: '<string>',
brand: '<string>',
callToAction: '<string>',
keywords: ['<string>'],
includeEmojis: true,
hashtagCount: 5,
variations: 3
})
};
fetch('https://api.kynva.ai/api/v1/social/generate-caption', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Social Media
Generate caption
Generate AI-powered captions for social media posts
POST
/
api
/
v1
/
social
/
generate-caption
Generate caption
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
What the post is about
Target platform
Available options:
professional, casual, playful, inspirational, educational, promotional, storytelling, urgent Available options:
short, medium, long Required range:
1 <= x <= 5Response
200
Default Response
⌘I